Skip to main content
PUT
/
api2
/
v2
/
projects
/
{projectUid}
/
accessSettings
Edit access and security settings
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/accessSettings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "allowedDomains": [
    "<string>"
  ],
  "downloadEnabled": true,
  "emailNotifications": true,
  "linguistsMayDownloadLqaReport": true,
  "linguistsMayEditLockedSegments": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyReference": true,
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "notifyUserMentionOrComment": true,
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "showUserDataToLinguists": true,
  "strictWorkflowFinish": true,
  "triggerWebhooks": true,
  "useVendors": true,
  "userMaySetInstantQA": true,
  "usernamesDisplayedInLqaReport": true,
  "usersMaySetAutoPropagation": true,
  "vendors": {
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "canChangeSharedJobDueDateEnabled": true,
    "jobVendorsMayUploadReferences": true
  },
  "webEditorEnabledForLinguists": true
}
'
{
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "allowedDomains": [
    "<string>"
  ],
  "downloadEnabled": true,
  "emailNotifications": true,
  "linguistsMayDownloadLqaReport": true,
  "linguistsMayEditLockedSegments": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyReference": true,
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "notifyUserMentionOrComment": true,
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "showUserDataToLinguists": true,
  "strictWorkflowFinish": true,
  "triggerWebhooks": true,
  "useVendors": true,
  "userMaySetInstantQA": true,
  "usernamesDisplayedInLqaReport": true,
  "usersMaySetAutoPropagation": true,
  "vendors": {
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "canChangeSharedJobDueDateEnabled": true,
    "jobVendorsMayUploadReferences": true
  },
  "webEditorEnabledForLinguists": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
allowLoadingExternalContentInEditors
boolean

Default: true

allowLoadingIframes
boolean

Default: false

allowedDomains
string[]
downloadEnabled
boolean

Default: false

emailNotifications
boolean

Default: false

linguistsMayDownloadLqaReport
boolean

Default: true

linguistsMayEditLockedSegments
boolean

Default: false

linguistsMayEditSource
boolean

Default: true

linguistsMayEditTagContent
boolean

Default: true

notifyJobOwnerStatusChanged
boolean

Default: false

notifyJobOwnerStatusChangedTemplateUid
string
notifyReference
boolean

Default: false

notifyReferenceGroups
string
notifyReferenceTemplateUid
string
notifyUserMentionOrComment
boolean

Default: false

notifyUserMentionOrCommentTemplateUid
string
showUserDataToLinguists
boolean

Default: false

strictWorkflowFinish
boolean

Default: false

triggerWebhooks
boolean

Default: true

useVendors
boolean

Default: false

userMaySetInstantQA
boolean

Default: true

usernamesDisplayedInLqaReport
boolean

Default: true

usersMaySetAutoPropagation
boolean

Default: true

vendors
object
webEditorEnabledForLinguists
boolean

Default: false

Response

successful operation

allowLoadingExternalContentInEditors
boolean
allowLoadingIframes
boolean
allowedDomains
string[]
downloadEnabled
boolean
emailNotifications
boolean
linguistsMayDownloadLqaReport
boolean
linguistsMayEditLockedSegments
boolean
linguistsMayEditSource
boolean
linguistsMayEditTagContent
boolean
notifyJobOwnerStatusChanged
boolean
notifyJobOwnerStatusChangedTemplateUid
string
notifyReference
boolean
notifyReferenceGroups
string
notifyReferenceTemplateUid
string
notifyUserMentionOrComment
boolean
notifyUserMentionOrCommentTemplateUid
string
showUserDataToLinguists
boolean
strictWorkflowFinish
boolean
triggerWebhooks
boolean
useVendors
boolean
userMaySetInstantQA
boolean
usernamesDisplayedInLqaReport
boolean
usersMaySetAutoPropagation
boolean
vendors
object
webEditorEnabledForLinguists
boolean